# $Revision: 1.16 $, $Date: 2004/04/26 18:00:32 $
Summary:	pop3.proxy is an application level gateway for the POP3 protocol
Summary(pl):	pop3.proxy jest aplikacyjn bramk dla protokou POP3
Name:		pop3proxy
Version:	1.2.0
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://www.quietsche-entchen.de/download/%{name}-%{version}.tar.gz
# Source0-md5:	9e6bf2493f1c12edaa11c97b7ef8d657
Source1:	%{name}.inetd
Provides:	pop3daemon
Prereq:		rc-inetd >= 0.8.1
URL:		http://www.quietsche-entchen.de/software/pop3.proxy.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	proxytools

%description
pop3.proxy is an application level gateway for the POP3 protocol.
Unlike generic TCP proxys (like tcpproxy) it looks into the data
stream watching that client and server fulfil the protocol
specification. pop3.proxy is based on RFC 1939.

%description -l pl
pop3.proxy jest aplikacyjn bramk dla protokou POP3. W odrnieniu
od innych tego typu programw, pop3proxy nadzoruje transmisj
sprawdzajc czy klient i serwer speniaj specyfikacj protokou (RFC
1939).

%prep
%setup -q

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/sysconfig/rc-inetd}

install pop3.proxy $RPM_BUILD_ROOT%{_sbindir}
install pop3.proxy.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/pop3proxy


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README rfc1939.txt
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/pop3proxy
%attr(755,root,root) %{_sbindir}/pop3.proxy
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pop3proxy.spec,v $
Revision 1.16  2004/04/26 18:00:32  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.15  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:25:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.12  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/19 04:20:41  kloczek
- cosmetics.

Revision 1.8  2001/12/13 09:17:59  qboosh
- fixed typos, Conflicts: proxytools

Revision 1.7  2001/12/12 19:59:33  blues
- release 3
- URL added

Revision 1.6  2001/12/03 09:19:27  qboosh
- cosmetics, Prereq: rc-inetd

Revision 1.5  2001/12/03 02:47:07  speedy
- removed proxytools [all in one]
- added ftpproxy, smtpproxy

Revision 1.4  2001/11/26 06:00:04  speedy
- more rc-inetd stuff [%post & %postun]

Revision 1.3  2001/11/26 05:56:02  speedy
- rc-inetd support
- obsoletes proxytools

Revision 1.2  2001/11/26 04:28:39  kloczek
- added "Provides: pop3daemon" (without Obsoletes rules),
- added CC=%%{__cc} CFLAGS="%%{rpmcflags}" to make parameters,
- removed LICENSE file (copyright statment is well known .. GPL),
- some simplifications and cosmetics.

Revision 1.1  2001/11/26 03:05:08  speedy
pop3.proxy - application level gateway for POP3 protocol.
- initial PLD release
- polish description have to be fixed.
